unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    UpDown1: TUpDown;
    UpDown2: TUpDown;
    Label1: TLabel;
    Label2: TLabel;
    procedure UpDown2Click(Sender: TObject; Button: TUDBtnType);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.UpDown2Click(Sender: TObject; Button: TUDBtnType);
begin
 if Button=btNext then Edit2.Text:=FloatToStr(StrToFloat(Edit2.Text)+0.2)
   else Edit2.Text:=FloatToStr(StrToFloat(Edit2.Text)-0.2);
end;

end.
